<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');


$TCA["tx_articles_categories"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:articles/locallang_db.php:tx_articles_categories",		
		"label" => "title",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"languageField" => "sys_language_uid",	
		"transOrigPointerField" => "l18n_parent",	
		"transOrigDiffSourceField" => "l18n_diffsource",	
		"default_sortby" => "ORDER BY title",	
		"delete" => "deleted",	
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_articles_categories.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "sys_language_uid, l18n_parent, l18n_diffsource, title",
	)
);

$TCA["tx_articles_types"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:articles/locallang_db.php:tx_articles_types",		
		"label" => "title",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"languageField" => "sys_language_uid",	
		"transOrigPointerField" => "l18n_parent",	
		"transOrigDiffSourceField" => "l18n_diffsource",	
		"default_sortby" => "ORDER BY title",	
		"delete" => "deleted",	
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_articles_types.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "sys_language_uid, l18n_parent, l18n_diffsource, title",
	)
);

$TCA["tx_articles_articles"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:articles/locallang_db.php:tx_articles_articles",		
		"label" => "title",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
        //        "type" => "type",	
		"versioning" => "1",	
		"languageField" => "sys_language_uid",	
		"transOrigPointerField" => "l18n_parent",	
		"transOrigDiffSourceField" => "l18n_diffsource",	
		"default_sortby" => "ORDER BY title",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",	
			"starttime" => "starttime",	
			"endtime" => "endtime",	
			"fe_group" => "fe_group",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_articles_articles.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "sys_language_uid, l18n_parent, l18n_diffsource, hidden, starttime, endtime, fe_group, category, type, title, teaser, article, abstract",
	)
);

t3lib_div::loadTCA('tt_content');

/**
 *  The plugins need to be included in ext_tables.php 
 */

// list plugins in plugin selection
t3lib_extMgm::addPlugin(Array('LLL:EXT:articles/locallang_db.php:editPluginLabel','tx_articles_edit'));
t3lib_extMgm::addPlugin(Array('LLL:EXT:articles/locallang_db.php:searchPluginLabel','tx_articles_search'));
t3lib_extMgm::addPlugin(Array('LLL:EXT:articles/locallang_db.php:detailsPluginLabel','tx_articles_details'));

// some cosmetic of the view
$TCA['tt_content']['types']['list']['subtypes_excludelist']['tx_articles_edit']='layout,select_key';
$TCA['tt_content']['types']['list']['subtypes_excludelist']['tx_articles_search']='layout,select_key';
$TCA['tt_content']['types']['list']['subtypes_excludelist']['tx_articles_details']='layout,select_key';

// list static templates in templates selection
t3lib_extMgm::addStaticFile('articles','static','Articles');
?>
